/* Contenedor principal */
.main-container{
    width: 100%;
    height: 80vh;
    display: flex;
    justify-content: center;
    align-items:center ;
}

.register-container {
    width: 58%;
    height: 100%;    
    display: flex;
    gap: 100px;
}

/* Imagen */
.register-image {
    display: flex;
    align-items: center;
}

.image{
    border-radius: 24px;
    max-width: 100%;
    height: 80%;
    min-height: 400px;
    display: block;
}

/* Formulario */
.register-form {
    flex: 1;
    padding: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

h4 {
    margin: 0;
    font-size: 2rem;
    font-weight: 700;
    color: #222;
    text-align: center;
}

p {
    font-size: 1rem;
    color: #555;
    text-align: center;
}

label {
    font-size: .875rem;
    font-weight: 600;
    margin-top: 15px;
    --tw-text-opacity: 1;
    color: rgb(66 102 113 / var(--tw-text-opacity, 1));
    display: block;
    text-align: left;
    width: 85%;
}

input {
    width: 85%;
    padding: 14px !important;
    margin-top: 5px;
    border: 1px solid #ddd;
    border-radius: 16px;
    font-size: 14px;
    cursor: pointer;
}

input:hover {
    border: 1px solid black;
}

.apply-now-btn {
    background: linear-gradient(to right, #c7161e, #21356b);
    --tw-bg-opacity: 1;
    border: 2px solid white;
    padding: 12px 32px;
    width: 85%;
    font-size: 1rem;
    font-weight: 700;
    color: white;
    border-radius: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    box-sizing: border-box;
    text-decoration: none;
    margin: 20px 0;
    cursor: pointer;
}

.apply-now-btn:hover {
    border-color: #c7161e;
    background: transparent;
    color: #21356b;
}

@media (max-width: 1670px) {
    .register-container {
        width: 70%;
        gap: 23vh;
    }

    label {
        width: 100%;
    }

    input {
        width: 100%;
    }
    
    .apply-now-btn {
        width: 100%;
    }
}

@media (max-width: 1440px) {
    .register-container {
        gap: 12vh;
    }

    .register-form {
        padding: 0;
    }

}

@media (max-width: 1200px) {
    .register-image {
        display: none;
    }

    .main-container {
        height: 75vh;
    }

    h4 {
        font-size: 1.25rem;
    }

    label {
        width: 85%;
    }

    input {
        width: 85%;
    }
    
    .apply-now-btn {
        width: 85%;
    }

    .register-container {
        width: 60%;
    }

    .register-form {
        padding: 40px;
    }
}

@media (max-width: 768px) {
    h4 {
        font-size: 1.25rem;
    }

    input {
        width: 100%;
    }
    
    .apply-now-btn {
        width: 100%;
    }

    label {
        width: 100%;
    }

    .register-container {
        width: 85%;
    }

    .register-form {
        padding: 0;
    }
}